## org.eclipse.datatools.connectivity.oda.design
Interface OrExpression

All Superinterfaces:
  CompositeFilterExpression, org.eclipse.emf.ecore.EObject, FilterExpression, org.eclipse.emf.common.notify.Notifier

    public interface OrExpression

extends CompositeFilterExpression

A representation of the model object 'Or Expression'. A built-in composite filter expression whose child expressions are combined by the Or boolean operator. The composite expression is evaluated to be true if any of its child expressions is evaluated as true.

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getOrExpression()`

Field Summary
`static java.lang.String` `copyright`

Method Summary

Methods inherited from interface org.eclipse.datatools.connectivity.oda.design.CompositeFilterExpression
`add, getChildren`

Methods inherited from interface org.eclipse.datatools.connectivity.oda.design.FilterExpression
`isNegatable, isSetNegatable, setNegatable, unsetNegatable`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values